//CUITileHUDText - [2020-04-13 11:57:47]
#ifndef _CUITILEHUDTEXT_H_
#define _CUITILEHUDTEXT_H_

#include "CUITile.h"

/*
0013CC98 CUITileHUDText::CUITileHUDText()
0013D61E CUITileHUDText::~CUITileHUDText()
0013CD18 CUITileHUDText::AddTextDetails(EHudTextType,float)
0013CD84 CUITileHUDText::AddText(int,EHudTextType)
0013CE7C CUITileHUDText::SetupText()
0013CEA4 CUITileHUDText::GetTextWidth(int)
0013CED4 CUITileHUDText::AddText(wchar_t const*,EHudTextType)
0013CFD4 CUITileHUDText::FadeLastText()
0013CFF6 CUITileHUDText::ClearText()
0013D028 CUITileHUDText::SetWidthOffset(float)
0013D150 CUITileHUDText::Render()
0013D48C CUITileHUDText::Process()
0013D618 CUITileHUDText::SetScrollSpeed(float)
*/

enum EHudTextType {
  EHudTextType_0,
  EHudTextType_1,
  EHudTextType_2,
  EHudTextType_3,
  EHudTextType_4,
  EHudTextType_5,
};

struct CUITileHUDText_9C {
  float field_0;
  int field_4;
  wchar_t field_8[0x40];
  uchar field_88;
  uchar field_89;
  uchar field_8A;
  uchar field_8B;
  float field_8c;
  int field_90;
  EHudTextType hudTextType_94;
  float field_98;
};

class CUITileHUDText : public CUITile {
public:
  CUITileHUDText();                            //0013CC98
  virtual ~CUITileHUDText();                   //0013D61E
  virtual void Render();                       //0013D150
  virtual EUITileAction Process();             //0013D48C
  void AddTextDetails(EHudTextType, float);    //0013CD18
  void AddText(int, EHudTextType);             //0013CD84
  void SetupText();                            //0013CE7C
  void GetTextWidth(int);                      //0013CEA4
  void AddText(wchar_t const*, EHudTextType);  //0013CED4
  void FadeLastText();                         //0013CFD4
  void ClearText();                            //0013CFF6
  void SetWidthOffset(float);                  //0013D028
  void SetScrollSpeed(float);                  //0013D618

  float field_1ac;
  int field_1b0;
  int field_1b4;
  float field_1b8;
  CUITileHUDText_9C field_1bc[4];
};

#endif  //_CUITILEHUDTEXT_H_